Bug 985679 - Documentation does not mention force-delete action for oo-admin-ctl-domain
Documentation does not mention force-delete action for oo-admin-ctl-domain
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bilhar
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 00:40 EDT by Miciah Dashiel Butler Masters
Modified: 2017-03-08 12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-27 00:01:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miciah Dashiel Butler Masters 2013-07-18 00:40:22 EDT
Description of problem:
In Section 3.3. "Removing User Data" of the Administration Guide, the force-delete action for oo-admin-ctl-domain should be mentioned for those hard-to-kill applications.


Version-Release number of selected component (if applicable):
OpenShift Enterprise Administration Guide Edition 1.2


How reproducible:
Completely.


Steps to Reproduce:
1. Read Section 3.3, Procedure 3.4, Step 3.


Actual results:
I see the following command:

    # oo-admin-ctl-app -l username -a app1 -c destroy


Expected results:
In addition to the destroy command that is already there, I should also see the following command in the same step or in a new, subsequent step:

    # oo-admin-ctl-app -l username -a app1 -c force-destroy

The guide should explain that the force-destroy action may be needed for particularly pesky applications that can't be destroyed without force.


Additional info:
I am referencing the Administration Guide using the following URL:

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Administration_Guide/index.html#sect-OpenShift_Enterprise-Administration_Guide-Removing_User_Data

Note You need to log in before you can comment on or make changes to this bug.